package com.yihu.wlyy.repository.patient;

import com.yihu.wlyy.entity.patient.SignFamilyServer;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Trick on 2017/7/14.
 */
public interface SignFamilyServerDao extends PagingAndSortingRepository<SignFamilyServer, Long>, JpaSpecificationExecutor<SignFamilyServer> {

    //根据签约code，查询糖尿病和高血压
    @Query("select f from SignFamilyServer f where f.signCode = ?1 and f.serverType in (4,5)")
    List<SignFamilyServer> findBySignCodeAndType(String signCode);

}
