package com.yihu.wlyy.repository.prescription;

import com.yihu.wlyy.entity.patient.prescription.PrescriptionDiagnosis;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by yeshijie on 2017/7/28.
 */
public interface PrescriptionDiagnosisDao extends PagingAndSortingRepository<PrescriptionDiagnosis, Long>, JpaSpecificationExecutor<PrescriptionDiagnosis> {

    @Query("select p from PrescriptionDiagnosis p where p.prescriptionCode=?1 ")
    List<PrescriptionDiagnosis> findByPrescriptionCode(String prescriptionCode);
}
