package com.yihu.wlyy.entity.patient.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by chenweida on 2017/7/26.
 * 处方支付表
 */
@Entity
@Table(name = "wlyy_prescription_pay")
public class PrescriptionPay extends IdEntity {
    private String code;//业务code
    private String payNum;//支付流水号
    private String prescriptionCode;//续方code
    private Date createTime;//创建时间
    private String ybCard;//医保卡号
    private Integer type;// 1 医保支付
    private Integer status;//状态  成功1 失败0
    private Double ybCost;//医保费用
    private Double myCost;//自己付费

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPayNum() {
        return payNum;
    }

    public void setPayNum(String payNum) {
        this.payNum = payNum;
    }

    public String getPrescriptionCode() {
        return prescriptionCode;
    }

    public void setPrescriptionCode(String prescriptionCode) {
        this.prescriptionCode = prescriptionCode;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getYbCard() {
        return ybCard;
    }

    public void setYbCard(String ybCard) {
        this.ybCard = ybCard;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Double getYbCost() {
        return ybCost;
    }

    public void setYbCost(Double ybCost) {
        this.ybCost = ybCost;
    }

    public Double getMyCost() {
        return myCost;
    }

    public void setMyCost(Double myCost) {
        this.myCost = myCost;
    }
}
