/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository.education;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.education.Sports;

public interface SportsDao extends PagingAndSortingRepository<Sports, Long>, JpaSpecificationExecutor<Sports> {
	
	@Query("select a from Sports a where a.del = '1'")
	List<Sports> findAll();
	
	Sports findByCode(String code);
	
}
